
AALIB_TARGETS := $(LIBDIR)/libaa.la

AALIB_SRCS := \
	$(DIR)/altaz.c \
	$(DIR)/angles.c \
	$(DIR)/annuab.c \
	$(DIR)/constel.c \
	$(DIR)/deflec.c \
	$(DIR)/deltat.c \
	$(DIR)/diurab.c \
	$(DIR)/diurpx.c \
	$(DIR)/dms.c \
	$(DIR)/epsiln.c \
	$(DIR)/fk4fk5.c \
	$(DIR)/kepler.c \
	$(DIR)/kfiles.c \
	$(DIR)/lightt.c \
	$(DIR)/lonlat.c \
	$(DIR)/nutate.c \
	$(DIR)/precess.c \
	$(DIR)/refrac.c \
	$(DIR)/rplanet.c \
	$(DIR)/rstar.c \
	$(DIR)/sidrlt.c \
	$(DIR)/sun.c \
	$(DIR)/domoon.c \
	$(DIR)/trnsit.c \
	$(DIR)/vearth.c \
	$(DIR)/zatan2.c \
	$(DIR)/gplan.c \
	$(DIR)/mer404.c \
	$(DIR)/ven404.c \
	$(DIR)/ear404.c \
	$(DIR)/mar404.c \
	$(DIR)/jup404.c \
	$(DIR)/sat404.c \
	$(DIR)/ura404.c \
	$(DIR)/nep404.c \
	$(DIR)/plu404.c \
	$(DIR)/mlr404.c \
	$(DIR)/mlat404.c \
	$(DIR)/aa.c
AALIB_OBJS := $(AALIB_SRCS:.c=.lo)

$(AALIB_OBJS): CFLAGS += -Wall -O2
$(LIBDIR)/libaa.la_LDFLAGS += -lm
$(LIBDIR)/libaa.la: $(AALIB_OBJS)
	$(LIB_LINK)


SRCS += $(AALIB_SRCS)
TARGETS += $(AALIB_TARGETS)
CLEAN += $(AALIB_TARGETS) $(AALIB_OBJS)
