/* 
	Javascript for parsing weather status over XMLHttp 

	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2009, 2013
	Copyright Stichting C.A. Muller Radioastronomiestation, 2009, 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

eval(load("status.js"));


function weather_status_cb_default (line)
{
	/* default callback */
}

function weatherstatus(url, ident)
{
	var weather_status_this = this;

	/* Callbacks */
	this.callback = weather_status_cb_default;

	this.url = url;
	this.ident = ident;
	
	this.status = new status(url, ident);
	
	this.open = function ()
	{
		this.status.callback = this.callback;
		this.status.open();
	}
}

