

TARGETS += $(LIBDIR)/libutils.la
TARGETS += $(DIR)/weather_test

WEATHER_SRCS := $(DIR)/weather_test.c $(DIR)/weather.c $(DIR)/tcp_connect.c
WEATHER_OBJS := $(WEATHER_SRCS:.c=.o)

$(DIR)/weather_test_LDFLAGS += -lpthread
$(DIR)/weather_test: $(WEATHER_OBJS)

ARCHSRCS := $(DIR)/tcp_connect.c \
	$(DIR)/tcp_listen.c \
	$(DIR)/command_server.c \
	$(DIR)/status_server.c \
	$(DIR)/config.c \
	$(DIR)/weather.c \
	$(DIR)/dt_model.c \
	$(DIR)/location.c \
	$(DIR)/dt_host.c
ARCHOBJS := $(ARCHSRCS:.c=.lo)


LU_CFLAGS := -Wall -g -fPIC
LU_LDFLAGS := -lpthread -lrt -lm

LU_CFLAGS += `pkg-config --cflags glib-2.0`
LU_LDFLAGS += `pkg-config --libs glib-2.0`

$(ARCHOBJS): CFLAGS += $(LU_CFLAGS)
$(LIBDIR)/libutils.la_LDFLAGS += $(LU_LDFLAGS)
$(LIBDIR)/libutils.la: $(ARCHOBJS)
	$(LIB_LINK)

CLEAN += $(LIBDIR)/libutils.la
CLEAN += $(DIR)/weather_test
CLEAN += $(WEATHER_OBJS) $(ARCHOBJS)

SRCS += $(ARCHSRCS) $(WEATHER_SRCS)
