#ifndef _INCLUDE_LOCATION_H_
#define _INCLUDE_LOCATION_H_

struct location;

struct location *location_create(const char *location);

/* get value in degrees */
double location_get_latitude(struct location *);
double location_get_longitude(struct location *);
double location_get_altitude(struct location *);

/* get split value */
int location_get_split_latitude(struct location *, double *degrees, double *minutes, double *seconds);
int location_get_split_longitude(struct location *, double *degrees, double *minutes, double *seconds);


#endif /* _INCLUDE_LOCATION_H_ */
