#ifndef _INCLUDE_PREDICTLIB_H_
#define _INCLUDE_PREDICTLIB_H_

#include <stdbool.h>

struct predict;

bool predict_tle_check(char *tle, char processed_tle[138], char **name);
struct predict *predict_create(char *tle, double lat, double lon, double alt);


void predict_free(struct predict *predict);

/* calculate for a given julian date */
int predict_calc_azel(struct predict *, double t, double *az, double *el);


#endif /* _INCLUDE_PREDICTLIB_H_ */
