
CONTROLLER_TARGETS += $(LIBDIR)/libcontroller.la

CONTROLLER_SRCS= \
	$(DIR)/controller_block.c \
	$(DIR)/controller_block_param.c \
	$(DIR)/controller_block_trace.c \
	$(DIR)/controller_command.c \
	$(DIR)/controller_trace.c \
	$(DIR)/controller_sample.c \
	$(DIR)/controller_dumpdot.c \
	$(DIR)/controller_load.c \
	$(DIR)/controller_load_variable.c \
	$(DIR)/controller_load_parser.tab.c \
	$(DIR)/controller_load_parser.yy.c
CONTROLLER_OBJS := $(CONTROLLER_SRCS:.c=.lo)


$(CONTROLLER_OBJS): CFLAGS += -O3 -Wall
$(LIBDIR)/libcontroller.la: libshell.la libcommand.la libtrace.la
$(LIBDIR)/libcontroller.la_LDFLAGS += -lshell -ldl -lpthread -lrt -lcommand -ltrace
$(LIBDIR)/libcontroller.la: $(CONTROLLER_OBJS)
	$(LIB_LINK)

$(DIR)/controller_load_parser.tab.lo: $(DIR)/controller_load_parser.yy.c
$(DIR)/controller_load.lo: $(DIR)/controller_load_parser.tab.h
$(DIR)/controller_load.lo: $(DIR)/controller_load_parser.yy.h


TARGETS += $(CONTROLLER_TARGETS)
CLEAN += $(CONTROLLER_TARGETS) $(CONTROLLER_OBJS)
SRCS += $(CONTROLLER_SRCS)
