/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2007
	Copyright Stichting C.A. Muller Radioastronomiestation, 2007

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _INCLUDE_CONTROLLER_TRACE_
#define _INCLUDE_CONTROLLER_TRACE_

struct controller_trace_name {
	char *name;
	char *unit;
	char *blockname;
	char *termname;
};

void controller_trace_list_add(struct controller_trace_name *trace);
void controller_trace_server_start(int portnr, int max);

struct controller_trace_name *controller_trace_get(int nr);
int controller_trace_nr(void);

#endif /* _INCLUDE_CONTROLLER_TRACE_ */
